[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# GetClass

Returns the class pointer of a class with given name.

## Declaration

Source position: classesh.inc line 1994

`function GetClass(`
`const AClassName: string`
`):TPersistentClass;`

## Description

GetClass searches for the class named ClassName in the list of registered classes and returns a class pointer to the definition. If no class with the given name could be found, Nil is returned.

The FindClass function will raise an exception if the does not find the class.

## See also

RegisterClass |  | Registers a class with the streaming system.
GetClass |  | Returns the class pointer of a class with given name.

Documentation generated on: Feb 26 2014